Skip to main content

public/get-insurance

GET 

/public/get-insurance

Fetches the balance of the Insurance Fund for a particular currency.

Request

Query Parameters

    instrument_name stringrequired

    e.g. USD

    count int32

    Default value: 25

    Default is 25

    start_ts int64

    Default timestamp is 1 day ago (Unix timestamp).

    end_ts int64

    Default timestamp is current time (Unix timestamp).

Success.
Schema
    id int64

    Echoed request id

    method string

    Method invoked

    code int32

    0 = success; non-zero indicates error (reason code).

    result object
    Present when code === 0. instrument_name (e.g. USD), data[] has v (value), t (timestamp).
    instrument_name string

    e.g. USD

    data object[]
  • Array [
  • v decimal

    Value

    t int64

    Timestamp (ms), e.g. "1771761038000".

  • ]
  • message string

    Present when code !== 0.

    original string

    Present when code !== 0.